获取卷挂载点客户端信息
获取卷挂载点客户端信息
Path Parameters
volume_id string required
卷 ID,用于唯一标识一个存储卷
Query Parameters
zone string
可用区标识,用于限定查询的可用区范围
Responses
- 200
- default
OK
application/json
Schema
Example (from schema)
Schema
- Array [
- Array [
- ]
- ]
volume_id string
卷 ID
clients object[]
客户端挂载信息列表,表示当前卷的所有挂载客户端
client_name string
客户端名称,通常为实例名或主机名
client_ip string
客户端 IP 地址
vpc_id string
客户端所属的 VPC ID
region string
客户端所在地域
zone string
客户端所在可用区
mount_path string
卷在客户端上的挂载路径
subdir string
挂载的子目录路径(如果是子目录挂载)
network_interfaces object[]
客户端网络接口信息列表
name string
网络接口名称
ip string
网络接口 IP 地址
{
"volume_id": "string",
"clients": [
{
"client_name": "string",
"client_ip": "string",
"vpc_id": "string",
"region": "string",
"zone": "string",
"mount_path": "string",
"subdir": "string",
"network_interfaces": [
{
"name": "string",
"ip": "string"
}
]
}
]
}
Default error response
application/json
Schema
Example (from schema)
Schema
- Array [
- ]
code int32
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
message string
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
details object[]
A list of messages that carry the error details. There is a common set of message types for APIs to use.
@type string
The type of the serialized message.
{
"code": 0,
"message": "string",
"details": [
{
"@type": "string"
}
]
}
Loading...